Index: trunk/MagicSoft/Mars/Changelog
===================================================================
--- trunk/MagicSoft/Mars/Changelog	(revision 7524)
+++ trunk/MagicSoft/Mars/Changelog	(revision 7525)
@@ -26,4 +26,7 @@
      - reduced width of menu
 
+   * datacenter/scripts/copyscript: 
+     - added makedir for oldcatalogpath
+
 
 
Index: trunk/MagicSoft/Mars/datacenter/scripts/copyscript
===================================================================
--- trunk/MagicSoft/Mars/datacenter/scripts/copyscript	(revision 7524)
+++ trunk/MagicSoft/Mars/datacenter/scripts/copyscript	(revision 7525)
@@ -253,7 +253,9 @@
       #getting date of new catalogfile from path
       date=`echo $catfile | cut -d/ -f5-7 | sed -e 's/\///g'`
-      
+
+      oldcatalogpath=$setuppath/oldcatalogs
+      makedir $oldcatalogpath
       #rsync current catalogfile to directory with old catalogfiles including the date of the new catalogfile into the filename
-      if ! rsync -av $catalog $setuppath/oldcatalogs/$magfav.$date >> $scriptlog 2>&1 
+      if ! rsync -av $catalog $oldcatalogpath/$magfav.$date >> $scriptlog 2>&1 
       then 
          echo "could not do 'rsync -av $catalog $setuppath/oldcatalogs/$magfav.$date' -> exit" >> $scriptlog 2>&1 
